unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Chart1: TChart;
    Series1: TLineSeries;
    Chart2: TChart;
    Chart3: TChart;
    Series2: TLineSeries;
    Series3: TLineSeries;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var x:single;
begin
  x:=5;
  repeat
     Series1.AddXY(x, 2*x*x-10);
     x:=x+0.5;
  until  x>10;
end;

// ze skalowaniem „ręcznym” w poziomie
procedure TForm1.Button2Click(Sender: TObject);
var x:single;
begin
  with Chart2 do
  begin
    BottomAxis.Automatic:=false; //wyłączenie skalowania automatycznego
    BottomAxis.Minimum:=0;     // minimalna wartość na osi X
    BottomAxis.Maximum:=12;      // maksymalna wartość na osi X
  end;
  x:=5;
  repeat
     Series2.AddXY(x, 2*x*x-10);
     x:=x+0.5;
  until  x>10;

end;

//ze skalowaniem „ręcznym” w poziomie i w pionie
procedure TForm1.Button3Click(Sender: TObject);
var x:single;
begin
  with Chart3 do
  begin
    BottomAxis.Automatic:=false; //wyłączenie skalowania automatycznego
    BottomAxis.Minimum:=0;     // minimalna wartość na osi X
    BottomAxis.Maximum:=12;      // maksymalna wartość na osi X
    LeftAxis.Automatic:=false; //wyłączenie skalowania automatycznego
    LeftAxis.Minimum:=0;     // minimalna wartość na osi Y
    LeftAxis.Maximum:=190;      // maksymalna wartość na osi Y
  end;
  x:=5;
  repeat
     Series3.AddXY(x, 2*x*x-10);
     x:=x+0.5;
  until  x>10;

end;

end.
